sock_release
Prev | Socket Buffer Functions | Next

## Name

sock_release — close a socket

## Synopsis

`void sock_release (` | struct socket * | sock`)`;

## Arguments

`sock`

  socket to close

## Description

The socket is released from the protocol stack if it has a release callback, and the inode is then released if the socket is bound to an inode not a file.

Prev | Up | Next
sockfd_lookup | Home | sock_register